[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Compiling 1.6.x javahl 32bit on 64bit Ubuntu

From: Mark Phippard <markphip_at_gmail.com>
Date: Fri, 31 Jul 2009 11:07:26 -0400

On Fri, Jul 31, 2009 at 11:03 AM, Tyler Roscoe<tyler_at_cryptio.net> wrote:
> On Fri, Jul 31, 2009 at 04:26:32AM -0700, Karol Grecki wrote:
>> I'm using Zend Studio based on Eclipse which only comes in 32bit flavour. I
>> found javahl working better (performance and reliability) than svnkit but I
>> had some problems compiling it on my 64bit system.
>
> You'll get better responses to this question on an eclipse or javahl
> mailing list. Good luck.

Actually, this is the proper mailing list for compiling JavaHL. It
is, after all, part of Subversion.

The error is coming from the OS library loader. I'd focus on trying
to find out what the heck it means. It is a weird error.

I wonder if the problem is that one or more of the dependencies that
JavaHL needs to load at runtime, is not 32-bit. Such as the APR,
Neon, OpenSSL or zlib libraries.

-- 
Thanks
Mark Phippard
http://markphip.blogspot.com/
------------------------------------------------------
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=1065&dsMessageId=2377432
To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_subversion.tigris.org].
Received on 2009-07-31 17:08:21 CEST

This is an archived mail posted to the Subversion Users mailing list.